Package org.opensaml.storage.impl.client

# Class JSONClientStorageServiceStore.JSONClientStorageServiceStoreFactory

java.lang.Object
org.opensaml.storage.impl.client.JSONClientStorageServiceStore.JSONClientStorageServiceStoreFactory

All Implemented Interfaces:
  `ClientStorageServiceStore.Factory`

Enclosing class:
  JSONClientStorageServiceStore

public static class JSONClientStorageServiceStore.JSONClientStorageServiceStoreFactory extends Object implements ClientStorageServiceStore.Factory
Factory for JSON-backed store.

## Constructor Summary

Constructors
Constructor
Description
`JSONClientStorageServiceStoreFactory()`

## Method Summary

Modifier and Type
Method
Description
`ClientStorageServiceStore`
`load(String raw, ClientStorageService.ClientStorageSource src)`
Load raw data into a new `ClientStorageServiceStore` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSONClientStorageServiceStoreFactory

public JSONClientStorageServiceStoreFactory()

## Method Details

### load

@Nonnull public ClientStorageServiceStore load(@Nullable @NotEmpty String raw, @Nonnull ClientStorageService.ClientStorageSource src)
Load raw data into a new `ClientStorageServiceStore` instance.

Specified by:
  `load` in interface `ClientStorageServiceStore.Factory`
Parameters:
  `raw` - data to load
  `src` - data source
Returns:
  new store instance